Package fr.gouv.vitam.common.auth.core.realm

# Class X509KeystoreFileRealm

java.lang.Object
org.apache.shiro.realm.CachingRealm
org.apache.shiro.realm.AuthenticatingRealm
org.apache.shiro.realm.AuthorizingRealm
fr.gouv.vitam.common.auth.core.realm.AbstractX509Realm
fr.gouv.vitam.common.auth.core.realm.X509KeystoreFileRealm

All Implemented Interfaces:
  `org.apache.shiro.authc.LogoutAware`, `org.apache.shiro.authz.Authorizer`, `org.apache.shiro.authz.permission.PermissionResolverAware`, `org.apache.shiro.authz.permission.RolePermissionResolverAware`, `org.apache.shiro.cache.CacheManagerAware`, `org.apache.shiro.lang.util.Initializable`, `org.apache.shiro.lang.util.Nameable`, `org.apache.shiro.realm.Realm`

public class X509KeystoreFileRealm extends AbstractX509Realm
X509 Keystore File Realm

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X509KeystoreFileRealm()`
  empty constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.shiro.authc.AuthenticationInfo`
  `doGetAuthenticationInfo(org.apache.shiro.authc.AuthenticationToken token)`
  `protected org.apache.shiro.authz.AuthorizationInfo`
  `doGetAuthorizationInfo(org.apache.shiro.subject.PrincipalCollection principals)`
  `protected X509AuthenticationInfo`
  `doGetX509AuthenticationInfo(X509AuthenticationToken x509AuthenticationToken)`
  `Class<X509AuthenticationToken>`
  `getAuthenticationTokenClass()`
  `Map<String,String>`
  `getCertificateDnRoleMapping()`
  `void`
  `setCertificateDnRoleMapping(Map<String,String> certificateDnRoleMapping)`
  `boolean`
  `supports(org.apache.shiro.authc.AuthenticationToken token)`

  ### Methods inherited from class fr.gouv.vitam.common.auth.core.realm.AbstractX509Realm

  `getGrantedKeyStoreName, getGrantedKeyStorePassphrase, getTrustedKeyStoreName, getTrustedKeyStorePassphrase, setGrantedKeyStoreName, setGrantedKeyStorePassphrase, setTrustedKeyStoreName, setTrustedKeyStorePassphrase`

  ### Methods inherited from class org.apache.shiro.realm.AuthorizingRealm

  `afterCacheManagerSet, checkPermission, checkPermission, checkPermission, checkPermissions, checkPermissions, checkPermissions, checkRole, checkRole, checkRoles, checkRoles, checkRoles, clearCachedAuthorizationInfo, doClearCache, getAuthorizationCache, getAuthorizationCacheKey, getAuthorizationCacheName, getAuthorizationInfo, getPermissionResolver, getPermissions, getRolePermissionResolver, hasAllRoles, hasRole, hasRole, hasRoles, hasRoles, isAuthorizationCachingEnabled, isPermitted, isPermitted, isPermitted, isPermitted, isPermitted, isPermitted, isPermittedAll, isPermittedAll, isPermittedAll, onInit, setAuthorizationCache, setAuthorizationCacheName, setAuthorizationCachingEnabled, setName, setPermissionResolver, setRolePermissionResolver`

  ### Methods inherited from class org.apache.shiro.realm.AuthenticatingRealm

  `assertCredentialsMatch, clearCachedAuthenticationInfo, getAuthenticationCache, getAuthenticationCacheKey, getAuthenticationCacheKey, getAuthenticationCacheName, getAuthenticationInfo, getCredentialsMatcher, init, isAuthenticationCachingEnabled, isAuthenticationCachingEnabled, setAuthenticationCache, setAuthenticationCacheName, setAuthenticationCachingEnabled, setAuthenticationTokenClass, setCredentialsMatcher`

  ### Methods inherited from class org.apache.shiro.realm.CachingRealm

  `clearCache, getAvailablePrincipal, getCacheManager, getName, isCachingEnabled, onLogout, setCacheManager, setCachingEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.shiro.lang.util.Initializable

  `init`

- ## Constructor Details

  - ### X509KeystoreFileRealm

    public X509KeystoreFileRealm()
    empty constructor

- ## Method Details

  - ### doGetAuthorizationInfo

    protected org.apache.shiro.authz.AuthorizationInfo doGetAuthorizationInfo(org.apache.shiro.subject.PrincipalCollection principals)
    Specified by:
      `doGetAuthorizationInfo` in class `org.apache.shiro.realm.AuthorizingRealm`

  - ### supports

    public boolean supports(org.apache.shiro.authc.AuthenticationToken token)
    Specified by:
      `supports` in interface `org.apache.shiro.realm.Realm`
    Overrides:
      `supports` in class `org.apache.shiro.realm.AuthenticatingRealm`

  - ### getAuthenticationTokenClass

    public Class<X509AuthenticationToken> getAuthenticationTokenClass()
    Overrides:
      `getAuthenticationTokenClass` in class `org.apache.shiro.realm.AuthenticatingRealm`

  - ### doGetAuthenticationInfo

    protected org.apache.shiro.authc.AuthenticationInfo doGetAuthenticationInfo(org.apache.shiro.authc.AuthenticationToken token)
    Overrides:
      `doGetAuthenticationInfo` in class `AbstractX509Realm`

  - ### doGetX509AuthenticationInfo

    protected X509AuthenticationInfo doGetX509AuthenticationInfo(X509AuthenticationToken x509AuthenticationToken)
    Specified by:
      `doGetX509AuthenticationInfo` in class `AbstractX509Realm`

  - ### getCertificateDnRoleMapping

    public Map<String,String> getCertificateDnRoleMapping()
    Returns:
      certificateDnRoleMapping

  - ### setCertificateDnRoleMapping

    public void setCertificateDnRoleMapping(Map<String,String> certificateDnRoleMapping)
    Parameters:
      `certificateDnRoleMapping` - the mapping of certificate subject and role